# Created by pyp2rpm-3.3.3
%global pypi_name google-reauth

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 4
Summary:        Google Reauth Library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/Google/google-reauth-python
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
#atch0:		0001-Adding-Py3-compatibility.-9.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(oauth2client) >= 2.0.0
BuildRequires:  python3dist(pyu2f)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(mock)

%description
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(oauth2client) >= 2.0.0
Requires:       python3dist(pyu2f)

%description -n python3-%{pypi_name}
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google_reauth

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Dec 22 2024 papoteur <papoteur> 0.1.1-4.mga10
+ Revision: 2128985
- add and use pytest

* Fri Feb 23 2024 papoteur <papoteur> 0.1.1-3.mga10
+ Revision: 2043540
- rebuild for python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 0.1.1-2.mga9
+ Revision: 1839344
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.1.1-1.mga9
+ Revision: 1784440
- version 0.1.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.0-3.mga9
+ Revision: 1732942
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.1.0-2.mga8
+ Revision: 1541121
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 0.1.0-1.mga8
+ Revision: 1469122
- imported package python-google-reauth

